Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List support company contacts

GET/workspaces/{organizationId}/support/companies/{companyId}/contacts
Path parameters
organizationIdstringrequired
companyIdstringrequired
Responses
200

Contacts in a company

contactsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
userIdstring | nullrequired
externalIdstring | nullrequired
externalSourcestringrequired
emailstringrequired
fullNamestring | nullrequired
phonestring | nullrequired
emailOptOutbooleanrequired
emailOptOutAtstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
companiesobject[]required
Show properties
Array of object
idstringrequired
customerIdstringrequired
companyIdstringrequired
namestring | nullrequired
isPrimarybooleanrequired
createdAtstringrequired
identitiesobject[]required
Show properties
Array of object
idstringrequired
customerIdstringrequired
typestringrequired
Allowed:emailphoneslackmsteamsdiscordwhatsappchatapisocialcustom
subTypestring | nullrequired
valuestringrequired
isPrimarybooleanrequired
createdAtstringrequired
Try it
Server
Parameters
Request
curl -X GET '/workspaces/string/support/companies/string/contacts'
Response
{
  "contacts": [
    {
      "id": "string",
      "organizationId": "string",
      "userId": "string",
      "externalId": "string",
      "externalSource": "string",
      "email": "string",
      "fullName": "string",
      "phone": "string",
      "emailOptOut": true,
      "emailOptOutAt": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "companies": [
        {
          "id": "string",
          "customerId": "string",
          "companyId": "string",
          "name": "string",
          "isPrimary": true,
          "createdAt": "string"
        }
      ],
      "identities": [
        {
          "id": "string",
          "customerId": "string",
          "type": "email",
          "subType": "string",
          "value": "string",
          "isPrimary": true,
          "createdAt": "string"
        }
      ]
    }
  ]
}